- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglFlowVUB Class Reference

Varibale upper bound class. More...

`#include <CglFlowCover.hpp>`

List of all members.

## Public Member Functions
| CglFlowVUB ()
| The Value of the associated upper bound.
| CglFlowVUB (const CglFlowVUB &source)
CglFlowVUB & | operator= (const CglFlowVUB &rhs)
Query and set functions for associated 0-1 variable index
and value.
int | getVar () const
double | getVal () const
void | setVar (const int v)
void | setVal (const double v)
## Protected Attributes
int | varInd_
double | upper_
| The index of the associated 0-1 variable.

## Detailed Description

Varibale upper bound class.

Definition at line 102 of file CglFlowCover.hpp.

## Constructor & Destructor Documentation

CglFlowVUB::CglFlowVUB | ( |  | ) | `[inline]`

The Value of the associated upper bound.

Definition at line 109 of file CglFlowCover.hpp.

CglFlowVUB::CglFlowVUB | ( | const CglFlowVUB & | source | ) | `[inline]`

Definition at line 111 of file CglFlowCover.hpp.

References upper_, and varInd_.

## Member Function Documentation

CglFlowVUB& CglFlowVUB::operator= | ( | const CglFlowVUB & | rhs | ) | `[inline]`

Definition at line 116 of file CglFlowCover.hpp.

References upper_, and varInd_.

int CglFlowVUB::getVar | ( |  | ) | const`[inline]`

Definition at line 128 of file CglFlowCover.hpp.

References varInd_.

double CglFlowVUB::getVal | ( |  | ) | const`[inline]`

Definition at line 129 of file CglFlowCover.hpp.

References upper_.

void CglFlowVUB::setVar | ( | const int | v | ) | `[inline]`

Definition at line 130 of file CglFlowCover.hpp.

References varInd_.

void CglFlowVUB::setVal | ( | const double | v | ) | `[inline]`

Definition at line 131 of file CglFlowCover.hpp.

References upper_.

## Member Data Documentation

int CglFlowVUB::varInd_`[protected]`

Definition at line 105 of file CglFlowCover.hpp.

Referenced by CglFlowVUB(), getVar(), operator=(), and setVar().

double CglFlowVUB::upper_`[protected]`

The index of the associated 0-1 variable.

Definition at line 106 of file CglFlowCover.hpp.

Referenced by CglFlowVUB(), getVal(), operator=(), and setVal().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.2/Cgl/src/CglFlowCover/CglFlowCover.hpp